Package org.apache.tools.ant.taskdefs.optional.ssh

## Class SSHSession.NestedSequential

- java.lang.Object
- - org.apache.tools.ant.taskdefs.optional.ssh.SSHSession.NestedSequential

- All Implemented Interfaces:
    `TaskContainer`
  Enclosing class:
    SSHSession

      public static class SSHSession.NestedSequential
      extends java.lang.Object
      implements TaskContainer

  The class corresponding to the sequential nested element. This is a simple task container.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NestedSequential()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addTask​(Task task)` | Add a task or type to the container.
    `java.util.List<Task>` | `getNested()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NestedSequential

          public NestedSequential()

  - ### Method Detail

    - #### addTask

          public void addTask​(Task task)

      Add a task or type to the container.
      Specified by:
        `addTask` in interface `TaskContainer`
      Parameters:
        `task` - an unknown element.

    - #### getNested

          public java.util.List<Task> getNested()

      Returns:
        the list of unknown elements